<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>DPathSearchMacroManager.DPathMacro</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathSearchMacroManager.DPathMacro";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchMacroManager.DPathMacro.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" target="_top">Frames</a></li>
<li><a href="DPathSearchMacroManager.DPathMacro.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Class DPathSearchMacroManager.DPathMacro" class="title">Class DPathSearchMacroManager.DPathMacro</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.search.DPathSearchMacroManager.DPathMacro</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">DPathSearchMacroManager.DPathMacro</span>
extends com.mongodb.ReflectionDBObject</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#created">created</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#description">description</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#ispublic">ispublic</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#lastModified">lastModified</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#mgwikiPageRelated">mgwikiPageRelated</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#name">name</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#query">query</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#user">user</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#weight">weight</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#DPathSearchMacroManager.DPathMacro()">DPathSearchMacroManager.DPathMacro</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#Delete(java.lang.String)">Delete</a></strong>(java.lang.String&nbsp;macroName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getcreated()">getcreated</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getdescription()">getdescription</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getispublic()">getispublic</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getlastModified()">getlastModified</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getmgwikiPageRelated()">getmgwikiPageRelated</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getname()">getname</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getquery()">getquery</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getuser()">getuser</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getweight()">getweight</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#Retrieve(java.lang.String)">Retrieve</a></strong>(java.lang.String&nbsp;objectId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#RetrieveFromName(java.lang.String)">RetrieveFromName</a></strong>(java.lang.String&nbsp;macroName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#save()">save</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setcreated(java.lang.String)">setcreated</a></strong>(java.lang.String&nbsp;created)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setdescription(java.lang.String)">setdescription</a></strong>(java.lang.String&nbsp;description)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setispublic(boolean)">setispublic</a></strong>(boolean&nbsp;ispublic)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setlastModified(java.lang.String)">setlastModified</a></strong>(java.lang.String&nbsp;lastModified)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setmgwikiPageRelated(com.mongodb.BasicDBList)">setmgwikiPageRelated</a></strong>(com.mongodb.BasicDBList&nbsp;mgwikiPageRelated)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setname(java.lang.String)">setname</a></strong>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setquery(java.lang.String)">setquery</a></strong>(java.lang.String&nbsp;query)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setuser(java.lang.String)">setuser</a></strong>(java.lang.String&nbsp;user)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#setweight(java.lang.String)">setweight</a></strong>(java.lang.String&nbsp;weight)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#validate(boolean)">validate</a></strong>(boolean&nbsp;checkName)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="query">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>query</h4>
<pre>public&nbsp;java.lang.String query</pre>
</li>
</ul>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;java.lang.String name</pre>
</li>
</ul>
<a name="user">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>user</h4>
<pre>public&nbsp;java.lang.String user</pre>
</li>
</ul>
<a name="description">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;java.lang.String description</pre>
</li>
</ul>
<a name="lastModified">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastModified</h4>
<pre>public&nbsp;java.lang.String lastModified</pre>
</li>
</ul>
<a name="created">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>created</h4>
<pre>public&nbsp;java.lang.String created</pre>
</li>
</ul>
<a name="mgwikiPageRelated">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mgwikiPageRelated</h4>
<pre>public&nbsp;com.mongodb.BasicDBList mgwikiPageRelated</pre>
</li>
</ul>
<a name="ispublic">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ispublic</h4>
<pre>public&nbsp;boolean ispublic</pre>
</li>
</ul>
<a name="weight">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>weight</h4>
<pre>public&nbsp;java.lang.String weight</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathSearchMacroManager.DPathMacro()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathSearchMacroManager.DPathMacro</h4>
<pre>public&nbsp;DPathSearchMacroManager.DPathMacro()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="validate(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean</a>&nbsp;validate(boolean&nbsp;checkName)</pre>
</li>
</ul>
<a name="Delete(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Delete</h4>
<pre>public static&nbsp;void&nbsp;Delete(java.lang.String&nbsp;macroName)</pre>
</li>
</ul>
<a name="RetrieveFromName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RetrieveFromName</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a>&nbsp;RetrieveFromName(java.lang.String&nbsp;macroName)</pre>
</li>
</ul>
<a name="Retrieve(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Retrieve</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a>&nbsp;Retrieve(java.lang.String&nbsp;objectId)</pre>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()</pre>
</li>
</ul>
<a name="getmgwikiPageRelated()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getmgwikiPageRelated</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getmgwikiPageRelated()</pre>
</li>
</ul>
<a name="setmgwikiPageRelated(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setmgwikiPageRelated</h4>
<pre>public&nbsp;void&nbsp;setmgwikiPageRelated(com.mongodb.BasicDBList&nbsp;mgwikiPageRelated)</pre>
</li>
</ul>
<a name="getquery()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getquery</h4>
<pre>public&nbsp;java.lang.String&nbsp;getquery()</pre>
</li>
</ul>
<a name="setquery(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setquery</h4>
<pre>public&nbsp;void&nbsp;setquery(java.lang.String&nbsp;query)</pre>
</li>
</ul>
<a name="getispublic()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getispublic</h4>
<pre>public&nbsp;boolean&nbsp;getispublic()</pre>
</li>
</ul>
<a name="setispublic(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setispublic</h4>
<pre>public&nbsp;void&nbsp;setispublic(boolean&nbsp;ispublic)</pre>
</li>
</ul>
<a name="getweight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getweight</h4>
<pre>public&nbsp;java.lang.String&nbsp;getweight()</pre>
</li>
</ul>
<a name="setweight(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setweight</h4>
<pre>public&nbsp;void&nbsp;setweight(java.lang.String&nbsp;weight)</pre>
</li>
</ul>
<a name="getname()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getname()</pre>
</li>
</ul>
<a name="setname(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setname</h4>
<pre>public&nbsp;void&nbsp;setname(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="getuser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getuser</h4>
<pre>public&nbsp;java.lang.String&nbsp;getuser()</pre>
</li>
</ul>
<a name="setuser(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setuser</h4>
<pre>public&nbsp;void&nbsp;setuser(java.lang.String&nbsp;user)</pre>
</li>
</ul>
<a name="getdescription()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getdescription</h4>
<pre>public&nbsp;java.lang.String&nbsp;getdescription()</pre>
</li>
</ul>
<a name="setdescription(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setdescription</h4>
<pre>public&nbsp;void&nbsp;setdescription(java.lang.String&nbsp;description)</pre>
</li>
</ul>
<a name="getlastModified()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getlastModified</h4>
<pre>public&nbsp;java.lang.String&nbsp;getlastModified()</pre>
</li>
</ul>
<a name="setlastModified(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setlastModified</h4>
<pre>public&nbsp;void&nbsp;setlastModified(java.lang.String&nbsp;lastModified)</pre>
</li>
</ul>
<a name="getcreated()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getcreated</h4>
<pre>public&nbsp;java.lang.String&nbsp;getcreated()</pre>
</li>
</ul>
<a name="setcreated(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setcreated</h4>
<pre>public&nbsp;void&nbsp;setcreated(java.lang.String&nbsp;created)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchMacroManager.DPathMacro.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.DPathMacroValidationBean.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" target="_top">Frames</a></li>
<li><a href="DPathSearchMacroManager.DPathMacro.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
